Subject: Re: [Question] Git recovery with HEAD commit broken

From: Jonathan Nieder <[email-masked]>
Date: Wed, 11 Dec 2013 11:12:07 -0800

Joey Hess wrote:

> [2] A particularly annoying one is that git branch -d cannot be used
>     to remove a branch that is directly pointing to a corrupted commit!

It's generally considered okay for everyday commands like "git branch -d"
not to cope well with corrupted repositories, but we try to keep
plumbing like "git update-ref -d" working to give people a way out.
Is update-ref -d broken in this situation, too?

Curious,
Jonathan